VirtuousAI
Reference

Health

Readiness

GET
/api/v1/health

Query Parameters

deep?boolean
Defaultfalse

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/health"
{
  "status": "ok"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Stream Smoke

GET
/api/v1/stream-smoke

Query Parameters

seconds?integer
Default140
Range1 <= value <= 900
intervalSeconds?number
Default10
Range1 <= value <= 30

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/stream-smoke"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Liveness

GET
/health

Response Body

application/json

curl -X GET "https://loading/health"
{
  "status": "ok"
}